View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000415Ecere SDKidepublic2010-06-04 01:122013-05-19 22:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000415: cryptic error message on single file compile if file is excluded from build config
Descriptiontrying to compile a single file that is excluded from the current build config will say something like this:

Default Compiler
   obj/compileFileExcluded.debug.default.win32/form2.o: No such file or directory
1 error, no warning
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000198)
redj (administrator)
2010-06-04 01:14
edited on: 2010-06-04 01:46

will now say this:

Default Compiler
File form2.ec is excluded from current build configuration.

Added revision 107 to .../sdk/ide/src/project/ProjectView.ec

(0000461)
jerome (administrator)
2011-09-10 20:28
edited on: 2011-09-10 21:26

It's letting me compile it here!
Was doing it in an 'added project', if it changes anything?

Ah and it's a platform specific exclusion!


- Issue History
Date Modified Username Field Change
2010-06-04 01:12 redj New Issue
2010-06-04 01:12 redj Status new => assigned
2010-06-04 01:12 redj Assigned To => redj
2010-06-04 01:14 redj Status assigned => resolved
2010-06-04 01:14 redj Resolution open => fixed
2010-06-04 01:14 redj Note Added: 0000198
2010-06-04 01:46 redj Note Edited: 0000198
2010-07-07 04:20 redj Tag Attached: v0.44d2
2010-07-25 18:48 redj Relationship added child of 0000429
2010-07-26 19:03 thexa4 Target Version => 0.44 draft 2
2010-07-29 15:06 jerome Priority normal => immediate
2011-09-10 20:28 jerome Note Added: 0000461
2011-09-10 20:28 jerome Status resolved => confirmed
2011-09-10 20:28 jerome Status confirmed => assigned
2011-09-10 21:26 jerome Note Edited: 0000461
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:05 redj Target Version 0.44 Ryoan-ji => 0.45 Ginkakuji
2012-03-08 17:14 redj Relationship deleted child of 0000429
2012-03-09 18:53 redj Tag Detached: v0.44d2
2012-03-09 18:53 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-09 18:53 redj Target Version 0.45 Ginkakuji => 0.44 Ryoan-ji
2012-03-09 18:54 redj Status assigned => resolved
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker